
## System requirements

OS: Ubuntu
App: docker, tmux

## Step 1

create a new tmux session and several windows

```
bash setup_tmux.sh
```

## Step 2

attach the tmux session to the terminal

```
tmux a
```
## Step 3

Switch to 2nd window (src/t_all.sh t2)

Ctrl-b w

Enter

Switch to next window and run command (t3,t4,t5,t5a/t5a)

## Step

detach tmux session and return the terminal

Ctrl-b d

```
bash close_tmux.sh
```
