#! /bin/bash

source devel/setup.bash

case $1 in
    "t2" )
        roslaunch rois_gazebo spawn_human.launch
        ;;
    "t3" )
        roscd route_guidance_ros/scripts/
        python3 -c "import setup_comp_servers;setup_comp_servers.setup_single_robot();input('hit Enter key')"
        ;;
    "t3m" )
        roscd route_guidance_ros/scripts/
        python3 -c "import setup_comp_servers;setup_comp_servers.setup_multi_robot();input('hit Enter key')"
        ;;
    "t4" )
        roscd route_guidance_ros/scripts/
        python3 setup_engines.py
        ;;
    "t4m" )
        roscd route_guidance_ros/scripts/
        python3 setup_engines_multi.py
        ;;
    "t5" )
        roscd route_guidance_ros/scripts/
        python3 sa_multi.py
        ;;
    "t5a" )
        rostopic pub -1 human1/diff_drive_controller/cmd_vel geometry_msgs/Twist -- "[0,0,0]" "[0,0,-1]"
        rostopic pub -1 human1/diff_drive_controller/cmd_vel geometry_msgs/Twist -- "[1,0,0]" "[0,0,0]"
        rostopic pub -1 human1/diff_drive_controller/cmd_vel geometry_msgs/Twist -- "[1,0,0]" "[0,0,0]"
        ;;
    "t5o" )
        rostopic pub -1 robot1/detected_text std_msgs/String "data: 'point_a'"
        ;;
esac